<?php

namespace Waggybytes\SimplyRemindMe\Library\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Waggybytes\SimplyRemindMe\Library\Models\User;

class UserWhiteLabelSettings extends Model
{
    use HasFactory;

    protected $casts = [
        'is_email_enabled' => 'bool',
        'is_sms_enabled' => 'bool'
    ];

    protected $fillable = [
        'user_id',
        'is_email_enabled',
        'is_sms_enabled',
        'email_sender_name',
        'sms_sender_name'
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
